#!/usr/bin/perl -w

use Test;
use strict;

BEGIN { plan tests => 4 }

test("t/testreader t/testpfif.xml","t/testreader.out"  ,"t/testpfif.xml");
test("t/testpfif"                 ,"t/testpfif.out"    ,"t/testpfif.xml");
test("t/testrss"                  ,"t/testrss.out"     ,"t/testrss.xml");
test("t/testrssnote"              ,"t/testrssnote.out" , "t/testrssnote.xml");

sub test
{
    my($cmd,$out,$cmp)=@_;
    system("$cmd > $out");
    my $ret = ($? >> 8);
    my $status=($ret==0);
    if($status) #ok
    {
	system("diff -U0 -I lastBuildDate $cmp $out");
	$ret = ($? >> 8);
	$status=($ret==0);
    }
    ok($status);
    unlink($out);
}

