#!/usr/bin/perl -w
# $Id: Makefile.PL,v 1.2 2005/09/23 00:07:51 ianb Exp $
# ianb@nessie.mcc.ac.uk 

use ExtUtils::MakeMaker;

WriteMakefile(NAME=>"XML::PFIF",
	      DISTNAME=>"libxml-pfif-perl",
	      VERSION_FROM=>"lib/XML/PFIF.pm",
	      EXE_FILES=>["bin/pfifcvt"],
	      dist=>{ COMPRESS=>"gzip -9f", SUFFIX=>"gz"},
	      ($] >= 5.005
	       ? (ABSTRACT   => 'Generate PFIF (People Finder Interchange Format) XML and RSS files',
		  AUTHOR     => 'Ian Beckwith <ianb@nessie.mcc.ac.uk>')
	       : ()),
	      );

